org.springframework.cloud.dataflow.server.config

## Class OnLocalPlatform

- java.lang.Object
- - org.springframework.boot.autoconfigure.condition.SpringBootCondition
  - - org.springframework.cloud.dataflow.server.config.OnLocalPlatform

- All Implemented Interfaces:
    org.springframework.context.annotation.Condition

      public class OnLocalPlatform
      extends org.springframework.boot.autoconfigure.condition.SpringBootCondition

  When Server in not deployed on a cloud platform, it is considered to be on a Local platform.
  Author:
    Christian Tzolov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnLocalPlatform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.boot.autoconfigure.condition.ConditionOutcome` | `getMatchOutcome(org.springframework.context.annotation.ConditionContext context, org.springframework.core.type.AnnotatedTypeMetadata metadata)`

    - ### Methods inherited from class org.springframework.boot.autoconfigure.condition.SpringBootCondition

      `anyMatches, logOutcome, matches, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnLocalPlatform

          public OnLocalPlatform()

  - ### Method Detail

    - #### getMatchOutcome

          public org.springframework.boot.autoconfigure.condition.ConditionOutcome getMatchOutcome(org.springframework.context.annotation.ConditionContext context,
                                                                                                   org.springframework.core.type.AnnotatedTypeMetadata metadata)

      Specified by:
        `getMatchOutcome` in class `org.springframework.boot.autoconfigure.condition.SpringBootCondition`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.